# HG changeset patch
# Node ID 2dce54bebfc8
# Parent  2304698d7209
diff --git a/libpurple/buddyicon.h b/libpurple/buddyicon.h
--- a/libpurple/buddyicon.h
+++ b/libpurple/buddyicon.h
@@ -38,6 +38,8 @@
  * particular #PurpleAccount.  Instances are reference-counted; use
  * purple_buddy_icon_ref() and purple_buddy_icon_unref() to take and release
  * references.
+ *
+ * Since: 2.0.0
  */
 typedef struct _PurpleBuddyIcon PurpleBuddyIcon;
 
@@ -57,6 +59,8 @@
  * PurpleBuddyIconScaleFlags:
  * @PURPLE_ICON_SCALE_DISPLAY: We scale the icon when we display it
  * @PURPLE_ICON_SCALE_SEND:    We scale the icon before we send it to the server
+ *
+ * Since: 2.0.0
  */
 typedef enum  /*< flags >*/
 {
@@ -82,6 +86,8 @@
  * image file it should give a protocol, and what kind of image file it should
  * expect back. Dimensions less than 1 should be ignored and the image not
  * scaled.
+ *
+ * Since: 2.0.0
  */
 struct _PurpleBuddyIconSpec {
 	char *format;
@@ -123,7 +129,10 @@
  * to that structure, which will have been updated with the data supplied.
  *
  * Returns: The buddy icon structure, with a reference for the caller.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleBuddyIcon *purple_buddy_icon_new(PurpleAccount *account, const char *username,
                                        void *icon_data, size_t icon_len,
                                        const char *checksum);
@@ -135,7 +144,10 @@
  * Increments the reference count on a buddy icon.
  *
  * Returns: @icon.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleBuddyIcon *purple_buddy_icon_ref(PurpleBuddyIcon *icon);
 
 /**
@@ -145,7 +157,10 @@
  * Decrements the reference count on a buddy icon.
  *
  * If the reference count reaches 0, the icon will be destroyed.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icon_unref(PurpleBuddyIcon *icon);
 
 /**
@@ -153,7 +168,10 @@
  * @icon: The buddy icon.
  *
  * Updates every instance of this icon.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icon_update(PurpleBuddyIcon *icon);
 
 /**
@@ -164,7 +182,10 @@
  * @checksum: A protocol checksum from the protocol or %NULL.
  *
  * Sets the buddy icon's data.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void
 purple_buddy_icon_set_data(PurpleBuddyIcon *icon, guchar *data,
                            size_t len, const char *checksum);
@@ -191,7 +212,10 @@
  * Returns the buddy icon's account.
  *
  * Returns: (transfer none): The account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_buddy_icon_get_account(const PurpleBuddyIcon *icon);
 
 /**
@@ -201,7 +225,10 @@
  * Returns the buddy icon's username.
  *
  * Returns: The username.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icon_get_username(const PurpleBuddyIcon *icon);
 
 /**
@@ -213,7 +240,10 @@
  * This function is really only for protocol use.
  *
  * Returns: The checksum.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icon_get_checksum(const PurpleBuddyIcon *icon);
 
 /**
@@ -225,7 +255,10 @@
  * Returns the buddy icon's data.
  *
  * Returns: A pointer to the icon data.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gconstpointer purple_buddy_icon_get_data(const PurpleBuddyIcon *icon, size_t *len);
 
 /**
@@ -249,7 +282,10 @@
  *
  * Returns: The icon's extension, "icon" if unknown, or %NULL if
  *         the image data has disappeared.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icon_get_extension(const PurpleBuddyIcon *icon);
 
 /**
@@ -266,9 +302,11 @@
  * very long and hard about it, and then don't.
  *
  * Returns: (transfer none): A full path to the file, or %NULL under various conditions.
+ *
+ * Since: 2.0.0
  */
-const gchar *
-purple_buddy_icon_get_full_path(PurpleBuddyIcon *icon);
+PURPLE_AVAILABLE_IN_ALL
+const gchar *purple_buddy_icon_get_full_path(PurpleBuddyIcon *icon);
 
 /**************************************************************************/
 /* Buddy Icon Subsystem API                                               */
@@ -283,11 +321,11 @@
  * @checksum: A protocol checksum from the protocol or %NULL.
  *
  * Sets a buddy icon for a user.
+ *
+ * Since: 2.0.0
  */
-void
-purple_buddy_icons_set_for_user(PurpleAccount *account, const char *username,
-                                void *icon_data, size_t icon_len,
-                                const char *checksum);
+PURPLE_AVAILABLE_IN_ALL
+void purple_buddy_icons_set_for_user(PurpleAccount *account, const char *username, void *icon_data, size_t icon_len, const char *checksum);
 
 /**
  * purple_buddy_icons_get_checksum_for_user:
@@ -299,9 +337,11 @@
  * not already loaded for some other reason.
  *
  * Returns: The checksum.
+ *
+ * Since: 2.0.0
  */
-const char *
-purple_buddy_icons_get_checksum_for_user(PurpleBuddy *buddy);
+PURPLE_AVAILABLE_IN_ALL
+const char *purple_buddy_icons_get_checksum_for_user(PurpleBuddy *buddy);
 
 /**
  * purple_buddy_icons_find:
@@ -312,9 +352,11 @@
  *
  * Returns: The icon (with a reference for the caller) if found, or %NULL if
  *         not found.
+ *
+ * Since: 2.0.0
  */
-PurpleBuddyIcon *
-purple_buddy_icons_find(PurpleAccount *account, const char *username);
+PURPLE_AVAILABLE_IN_ALL
+PurpleBuddyIcon *purple_buddy_icons_find(PurpleAccount *account, const char *username);
 
 /**
  * purple_buddy_icons_find_account_icon:
@@ -327,9 +369,11 @@
  * appropriate icon.
  *
  * Returns: (transfer full): The account's buddy icon image.
+ *
+ * Since: 2.0.0
  */
-PurpleImage *
-purple_buddy_icons_find_account_icon(PurpleAccount *account);
+PURPLE_AVAILABLE_IN_ALL
+PurpleImage *purple_buddy_icons_find_account_icon(PurpleAccount *account);
 
 /**
  * purple_buddy_icons_set_account_icon:
@@ -344,10 +388,11 @@
  * caching the data, etc.
  *
  * Returns: (transfer none): The icon that was set.
+ *
+ * Since: 2.0.0
  */
-PurpleImage *
-purple_buddy_icons_set_account_icon(PurpleAccount *account,
-                                    guchar *icon_data, size_t icon_len);
+PURPLE_AVAILABLE_IN_ALL
+PurpleImage *purple_buddy_icons_set_account_icon(PurpleAccount *account, guchar *icon_data, size_t icon_len);
 
 /**
  * purple_buddy_icons_get_account_icon_timestamp:
@@ -359,9 +404,11 @@
  * buddy icon update reasons.
  *
  * Returns: The time the icon was set, or 0 if an error occurred.
+ *
+ * Since: 2.0.0
  */
-time_t
-purple_buddy_icons_get_account_icon_timestamp(PurpleAccount *account);
+PURPLE_AVAILABLE_IN_ALL
+time_t purple_buddy_icons_get_account_icon_timestamp(PurpleAccount *account);
 
 /**
  * purple_buddy_icons_node_has_custom_icon:
@@ -374,8 +421,7 @@
  * Since: 2.5.0
  */
 PURPLE_AVAILABLE_IN_2_5
-gboolean
-purple_buddy_icons_node_has_custom_icon(PurpleBlistNode *node);
+gboolean purple_buddy_icons_node_has_custom_icon(PurpleBlistNode *node);
 
 /**
  * purple_buddy_icons_node_find_custom_icon:
@@ -392,8 +438,7 @@
  * Since: 2.5.0
  */
 PURPLE_AVAILABLE_IN_2_5
-PurpleImage *
-purple_buddy_icons_node_find_custom_icon(PurpleBlistNode *node);
+PurpleImage *purple_buddy_icons_node_find_custom_icon(PurpleBlistNode *node);
 
 /**
  * purple_buddy_icons_node_set_custom_icon:
@@ -412,9 +457,7 @@
  * Since: 2.5.0
  */
 PURPLE_AVAILABLE_IN_2_5
-PurpleImage *
-purple_buddy_icons_node_set_custom_icon(PurpleBlistNode *node,
-                                        guchar *icon_data, size_t icon_len);
+PurpleImage *purple_buddy_icons_node_set_custom_icon(PurpleBlistNode *node, guchar *icon_data, size_t icon_len);
 
 /**
  * purple_buddy_icons_node_set_custom_icon_from_file:
@@ -432,17 +475,17 @@
  * Since: 2.5.0
  */
 PURPLE_AVAILABLE_IN_2_5
-PurpleImage *
-purple_buddy_icons_node_set_custom_icon_from_file(PurpleBlistNode *node,
-                                                  const gchar *filename);
+PurpleImage *purple_buddy_icons_node_set_custom_icon_from_file(PurpleBlistNode *node, const gchar *filename);
 
 /**
  * purple_buddy_icons_set_caching:
- * @caching: TRUE if buddy icon caching should be enabled, or
- *                FALSE otherwise.
+ * @caching: TRUE if buddy icon caching should be enabled, or FALSE otherwise.
  *
  * Sets whether or not buddy icon caching is enabled.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_set_caching(gboolean caching);
 
 /**
@@ -454,7 +497,10 @@
  * purple_buddy_icons_set_caching().
  *
  * Returns: TRUE if buddy icon caching is enabled, or FALSE otherwise.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_buddy_icons_is_caching(void);
 
 /**
@@ -474,7 +520,10 @@
  * by purple_buddy_icons_set_cache_dir().
  *
  * Returns: The directory to store buddy icon cache files to.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icons_get_cache_dir(void);
 
 /**
@@ -483,21 +532,30 @@
  * Returns the buddy icon subsystem handle.
  *
  * Returns: The subsystem handle.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void *purple_buddy_icons_get_handle(void);
 
 /**
  * purple_buddy_icons_init:
  *
  * Initializes the buddy icon subsystem.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_init(void);
 
 /**
  * purple_buddy_icons_uninit:
  *
  * Uninitializes the buddy icon subsystem.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_uninit(void);
 
 /**************************************************************************/
@@ -532,9 +590,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleBuddyIconSpec *purple_buddy_icon_spec_new(char *format, int min_width,
-		int min_height, int max_width, int max_height, size_t max_filesize,
-		PurpleBuddyIconScaleFlags scale_rules);
+PurpleBuddyIconSpec *purple_buddy_icon_spec_new(char *format, int min_width, int min_height, int max_width, int max_height, size_t max_filesize, PurpleBuddyIconScaleFlags scale_rules);
 
 /**
  * purple_buddy_icon_spec_free:
@@ -560,8 +616,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_buddy_icon_spec_get_scaled_size(PurpleBuddyIconSpec *spec,
-		int *width, int *height);
+void purple_buddy_icon_spec_get_scaled_size(PurpleBuddyIconSpec *spec, int *width, int *height);
 
 G_END_DECLS
 
